package com.huimv.manage.sys.service;

import com.huimv.manage.sys.entity.SysAccountMultilevel;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.manage.common.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
public interface ISysAccountMultilevelService extends IService<SysAccountMultilevel> {

    Result findUserAccount(String searchStr, int pageNum, int pageSize, Integer userId);

    Result add(SysAccountMultilevel sysAccountMultilevel, Integer userId);

    Result setAccountStatus(List<Integer> ids, Integer status);

    List<Integer> getAllChildId(Integer userId);

    Result listSubordinate(String searchStr, int pageNum, int pageSize, Integer userId);

    Result getLastFarmId(Integer userId);
}
